.course-section {
    padding: 50px 20px;
    text-align: center;
    max-width: 720px;
    margin: 0 auto;
}

.course-section.has-background-image {
    max-width: none;
    margin: 0;
    width: 100%;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.section-title,
.section-teaser {
    max-width: 720px;
    margin-left: auto !important;
    margin-right: auto !important;

}

.section-teaser {
    padding-bottom: 50px;
}

.section-title .accent-text {
    color: #0047FF;
}

.course-groups-wrapper {
    margin-top: 3rem;
    text-align: left;
    max-width: 720px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 20px;
    padding-right: 20px;
}

.course-group {
    margin-bottom: 40px;
    padding-bottom: 20px;
}

.course-group:last-child {
    border-bottom: none;
    margin-bottom: 0;
}

.group-title {
    font-size: 24px;
    line-height: 32px;
    font-weight: 700;
    color: #0047FF;
    margin-bottom: 0.5rem;
    background-color: #FBD4E9;
    padding: 8px;
    width: auto;
    display: inline-block;

}

.group-teaser {
    color: #0047FF;
    margin-bottom: 10px;
    line-height: 1.4;
}

.program-link {
    display: inline-block;
    text-decoration: underline;
    color: #0047FF;
    margin-bottom: 20px;
    font-weight: 400;
    font-size: 14px;
    line-height: 19px;
}

.course-date-item .accordion-header {
    font-size: 24px;
    font-weight: 400;
    letter-spacing: 0px;
    line-height: 30px;
    padding: 15px 0;
}

.accordion-icon {
    line-height: 1;
    margin-left: 15px;
    position: relative;
    display: block;
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}

.accordion-icon img {
    width: 24px;
    height: 24px;
    position: absolute;
    top: 0;
    left: 0;
}

.icon-expand {
    display: block;
}

.icon-collapse {
    display: none;
}

.accordion-header[aria-expanded="true"] .icon-expand {
    display: none;
}

.accordion-header[aria-expanded="true"] .icon-collapse {
    display: block;
}


.accordion-content {
    max-height: 0;
    padding-top: 0;
    padding-bottom: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out, padding 0.3s ease-in-out, opacity 0.3s;
    opacity: 0;
}

.accordion-content[aria-hidden="false"] {
    max-height: 1000px;
    padding-bottom: 20px;
    opacity: 1;
}

.content-inner {
    padding-top: 5px;
    line-height: 1.6;
    color: #0047FF;
}

/* MODAL STYLES */

.course-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;

    /* Hintergrundfarbe des Overlays: Hellblau mit Opazität 0.1 */
    background-color: #001B53CC;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.3s, opacity 0.3s;
}

.course-modal[aria-hidden="false"] {
    visibility: visible;
    opacity: 1;
}

.modal-content {
    background-color: #0047FF;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    color: white;
    padding: 40px;
    max-width: 960px;
    max-height: auto;
    overflow-y: auto;
    position: relative;
    border-radius: 36px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    transform: scale(0.95);
    transition: transform 0.3s ease-out;
}

.course-modal[aria-hidden="false"] .modal-content {
    transform: scale(1);
}

.modal-close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    background: white;
    border: none;
    cursor: pointer;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 3px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1010;
}

.modal-close-btn img {
    width: 100%;
    height: 100%;
}

.modal-close-btn svg {
    display: none;
}

.modal-inner {
    padding-top: 10px;
    line-height: 1.6;
}

.modal-inner ul,
.modal-inner ol {
    margin-left: 20px;
    margin-top: 10px;
}

.modal-inner li {
    margin-bottom: 5px;
}